﻿Imports C1.C1Preview
Imports C1.C1Report
Imports C1.Win.C1Preview
Imports C1.Win
Public Class Form1
    Dim C1PrintDocument1 As New C1PrintDocument()
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        C1PrintDocument1.AllowNonReflowableDocs = False
        Dim renderTable1 As C1.C1Preview.RenderTable = New C1.C1Preview.RenderTable()
        Dim row As Integer = 0
        Dim col As Integer
        Do While (row < 80)
            col = 0
            Do While (col < 3)
                renderTable1.Cells(row, col).Style.Borders.All = LineDef.Default
                Dim s As String = String.Format("Text in cell({0},{1})", row, col)
                Dim rtxt As New RenderText(s)
                rtxt.Style.TextAlignHorz = AlignHorzEnum.Center
                rtxt.Style.Borders.All = New LineDef(Color.Red)
                rtxt.Width = "2cm"
                Dim ra As New RenderArea()
                ra.Stacking = StackingRulesEnum.BlockLeftToRight
                ra.Style.FlowAlignChildren = FlowAlignEnum.Center
                ra.Children.Add(rtxt)
                renderTable1.Cells(row, col).RenderObject = ra
                col += 1
            Loop
            row += 1
        Loop
        col = 0
        Do While (col < 3)
            renderTable1.Cols(col).Width = "1in"
            col += 1
        Loop

        row = 0
        col = 0
        C1PrintDocument1.Body.Children.Add(renderTable1)

        ' Setting the PageFooter for all the pages except the last page
        Dim pagelayout As New PageLayout()
        Dim pagefooter As New RenderText()
        pagefooter.Text = " Continued to Next Page..."
        pagefooter.Style.Borders.All = LineDef.Default
        pagefooter.Style.FontBold = True
        pagefooter.Style.TextColor = Color.Maroon
        pagelayout.PageFooter = pagefooter
        C1PrintDocument1.PageLayouts.PrintFooterOnLastPage = False
        C1PrintDocument1.PageLayout.PageFooter = pagelayout.PageFooter
        C1PrintDocument1.Generate()

        ' In case the number of pages is 1, hide PageFooter on the first page itself and generate the document again so as to reflect the changes.
        If C1PrintDocument1.Pages.Count = 1 Then
            C1PrintDocument1.PageLayouts.PrintFooterOnFirstPage = False
        End If
        ' Code to apply border around the C1PrintDocument
        Dim overlay As New RenderArea()
        overlay.Width = "100%"
        overlay.Height = "100%"
        overlay.Style.Borders.All = LineDef.Default
        C1PrintDocument1.PageLayout.Overlay = overlay

        C1PrintDocument1.Generate()
        C1PrintPreviewControl2.Document = C1PrintDocument1

    End Sub

End Class
